> For a complete page index, fetch https://developer.close.com/llms.txt

# List bulk sequence subscriptions

GET https://api.close.com/api/v1/bulk_action/sequence_subscription/

Reference: https://developer.close.com/api/resources/bulk-actions/sequence-subscriptions/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /bulk_action/sequence_subscription/:
    get:
      operationId: list
      summary: List bulk sequence subscriptions
      tags:
        - subpackage_bulkActionsSequenceSubscriptions
      parameters:
        - name: _limit
          in: query
          description: Number of results to return.
          required: false
          schema:
            type: integer
            default: 100
        - name: _skip
          in: query
          description: Number of results to skip before returning, for pagination.
          required: false
          schema:
            type: integer
            default: 0
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bulk_actions.sequence_subscriptions_list_Response_200
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    BulkSequenceSubscriptionActionType:
      type: string
      enum:
        - subscribe
        - resume
        - resume_finished
        - pause
        - reassign
      title: BulkSequenceSubscriptionActionType
    BulkSequenceSubscriptionContactPreference:
      type: string
      enum:
        - lead
        - contact
      title: BulkSequenceSubscriptionContactPreference
    BulkActionStatus:
      type: string
      enum:
        - created
        - loading
        - processing
        - done
        - paused
        - resuming
        - error
      title: BulkActionStatus
    BulkSequenceSubscriptionAction:
      type: object
      properties:
        action_type:
          $ref: '#/components/schemas/BulkSequenceSubscriptionActionType'
        calls_assigned_to:
          type:
            - array
            - 'null'
          items:
            type: string
        contact_preference:
          oneOf:
            - $ref: '#/components/schemas/BulkSequenceSubscriptionContactPreference'
            - type: 'null'
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type:
            - string
            - 'null'
          format: date-time
        date_updated:
          type:
            - string
            - 'null'
          format: date-time
        from_phone_number_id:
          type:
            - string
            - 'null'
        id:
          type: string
        n_leads:
          type:
            - integer
            - 'null'
        n_leads_processed:
          type: integer
        n_objects:
          type:
            - integer
            - 'null'
        n_objects_processed:
          type: integer
        organization_id:
          type: string
        query:
          type:
            - string
            - 'null'
        results_limit:
          type:
            - integer
            - 'null'
        s_query:
          type: object
          additionalProperties:
            description: Any type
        send_done_email:
          type: boolean
        sender_account_id:
          type:
            - string
            - 'null'
        sender_email:
          type:
            - string
            - 'null'
        sender_name:
          type:
            - string
            - 'null'
        sequence_id:
          type:
            - string
            - 'null'
        sort:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
        status:
          oneOf:
            - $ref: '#/components/schemas/BulkActionStatus'
            - type: 'null'
        updated_by:
          type:
            - string
            - 'null'
      required:
        - action_type
        - calls_assigned_to
        - contact_preference
        - created_by
        - date_created
        - date_updated
        - from_phone_number_id
        - id
        - n_leads
        - n_leads_processed
        - n_objects
        - n_objects_processed
        - organization_id
        - query
        - results_limit
        - s_query
        - send_done_email
        - sender_account_id
        - sender_email
        - sender_name
        - sequence_id
        - sort
        - status
        - updated_by
      title: BulkSequenceSubscriptionAction
    bulk_actions.sequence_subscriptions_list_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BulkSequenceSubscriptionAction'
        has_more:
          type: boolean
      required:
        - data
        - has_more
      title: bulk_actions.sequence_subscriptions_list_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python bulk_actions.sequence_subscriptions_list_example
import requests

url = "https://api.close.com/api/v1/bulk_action/sequence_subscription/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript bulk_actions.sequence_subscriptions_list_example
const url = 'https://api.close.com/api/v1/bulk_action/sequence_subscription/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go bulk_actions.sequence_subscriptions_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/bulk_action/sequence_subscription/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby bulk_actions.sequence_subscriptions_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/bulk_action/sequence_subscription/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java bulk_actions.sequence_subscriptions_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/bulk_action/sequence_subscription/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php bulk_actions.sequence_subscriptions_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/bulk_action/sequence_subscription/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp bulk_actions.sequence_subscriptions_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/bulk_action/sequence_subscription/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```